GCLOUD_APP_DEPLOY(1)

NAME

gcloud app deploy - deploy the local code and/or configuration of your app to App Engine

SYNOPSIS

gcloud app deploy [DEPLOYABLES ...] [--bucket BUCKET] [--image-url IMAGE_URL] [--no-promote] [--no-stop-previous-version] [--version VERSION, -v VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
This command is used to deploy both code and configuration to the App Engine server. As an input it takes one or more DEPLOYABLES that should be uploaded. A DEPLOYABLE can be a service's .yaml file or a configuration's .yaml file.

POSITIONAL ARGUMENTS
[DEPLOYABLES ...]
    The yaml files for the services or configurations you want to deploy. If not given, defaults to app.yaml in the current directory. If that is not found, attempts to automatically generate necessary configuration files (such as app.yaml) in the current directory.

FLAGS
--bucket BUCKET
    The Google Cloud Storage bucket used to stage files associated with the deployment. If this argument is not specified, the application's default code bucket is used.
--image-url IMAGE_URL
    Deploy with a specific Docker image. Docker url must be from one of the valid gcr hostnames.
--promote
    Promote the deployed version to receive all traffic. True by default. To change the default behavior for your current environment, run:
        $ gcloud config set app/promote_by_default false
    Overrides the default promote_by_default property value for this command invocation. Use --no-promote to disable.
--stop-previous-version
    Stop the previously running version when deploying a new version that receives all traffic. Overrides the default stop_previous_version property value for this command invocation. Use --no-stop-previous-version to disable.
--version VERSION, -v VERSION
    The version of the app that will be created or replaced by this deployment. If you do not specify a version, one will be generated for you.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To deploy a single service, run:
    $ gcloud app deploy ~/my_app/app.yaml
To deploy multiple services, run:
    $ gcloud app deploy ~/my_app/app.yaml ~/my_app/another_service.yaml